petsc-3.15.0 2021-03-30
Report Typos and Errors

# MatIsSymmetric

Test whether a matrix is symmetric

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatIsSymmetric(Mat A,PetscReal tol,PetscBool  *flg)

Collective on Mat

### Input Parameter

| A | - the matrix to test
| tol | - difference between value and its transpose less than this amount counts as equal (use 0.0 for exact transpose)

### Output Parameters

| flg | - the result

### Notes

For real numbers MatIsSymmetric() and MatIsHermitian() return identical results

### See Also

MatTranspose(), MatIsTranspose(), MatIsHermitian(), MatIsStructurallySymmetric(), MatSetOption(), MatIsSymmetricKnown()

### Level

intermediate

### Location

src/mat/interface/matrix.c

### Examples

src/ksp/ksp/tutorials/ex72.c.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages